Bug 488704 - "File not found by glob" when installing from http:// with special characters
"File not found by glob" when installing from http:// with special characters
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On: 450811
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 05:35 EST by Jan Hutař
Modified: 2013-03-07 07:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 450811
Environment:
Last Closed: 2013-03-07 07:40:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-03-05 05:35:03 EST
+++ This bug was initially created as a clone of Bug #450811 +++

Description of problem:
When I try to install package from http:// when there is a "~" in the URL, I 
get "File not found by glob" error message. Installing from "normal" URLs works 
fine.


Version-Release number of selected component (if applicable):
rpm-4.4.2.3-2.fc9.x86_64


How reproducible:
always


Steps to Reproduce:
1. # rpm -ivh 'http://server/~user/repo/package-3.1.0.320-1.i386.rpm'


Actual results:
error: File not found by glob: http://server/~user/repo/
package-3.1.0.320-1.i386.rpm


Expected results:
package is installed


Additional info:
Package itself is ok and installable:
# wget 'http://server/~user/repo/package-3.1.0.320-1.i386.rpm'
...
2008-06-11 09:04:08 (108 MB/s) - `package-3.1.0.320-1.i386.rpm' saved
# rpm -ivh package-3.1.0.320-1.i386.rpm 
Preparing...                ########################################### [100%]
   1:package                ########################################### [100%]

--- Additional comment from floss@lex.hider.name on 2009-03-03 18:57:55 EDT ---

Can the reporter please give a real url for me to test this with?

--- Additional comment from jhutar@redhat.com on 2009-03-04 07:21:59 EDT ---

Hello,
you can test on:

rpm -ivh 'http://people.redhat.com/~varekova/gzip-1.3.3-16.rhel4.test.i386.rpm'

I was not able to reproduce on the F10, but was on RHEL-5.3.
Comment 1 Panu Matilainen 2013-03-07 07:40:41 EST
This works in later rpm versions because remote requests are handled by specialized, external http-client (curl). Attempting to fix it in a dead-end codebase is just not worth the trouble at this point, especially as using eg wget/curl for the task is just as easy.

Note You need to log in before you can comment on or make changes to this bug.